/*
  Copyright 2019 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.common

/**
 * @suppress
 */
object Constants {
    const val SCHEME = "https"
    const val META_APP_KEY = "com.kakao.sdk.AppKey"
    const val BEARER = "Bearer"
    const val AUTHORIZATION = "Authorization"

    const val SDK = "sdk"
    const val OS = "os"
    const val LANG = "lang"
    const val ORIGIN = "origin"
    const val DEVICE = "device"
    const val ANDROID_PKG = "android_pkg"
    const val APP_VER = "app_ver"
    const val KAKAO_AK = "KakaoAK"

    const val APP_KEY = "app_key"
    const val APP_PACKAGE = "appPkg"
    const val KA = "KA"
    const val APP_KEY_HASH = "keyHash"

    const val EXTRAS = "extras"
}